uuid: f202c5d7-be30-480e-b7dc-f42363a7143d
langcode: en
status: true
dependencies: {  }
id: gronze_focal_point
class: null
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - d7
  - file
  - focal_point
  - level2
migration_group: gronze_files
label: 'Focal Point migration from Gronze D7'
source:
  plugin: focal_point
  constants:
    entity_type: file
    type: focal_point
  high_water_property:
    name: fid
    alias: fp
process:
  entity_id:
    plugin: migration_lookup
    source: fid
    migration: gronze_file_managed
    no_stub: true
  skip_when_null:
    plugin: skip_on_empty
    source: '@entity_id'
    method: row
  crop_field_data:
    plugin: focal_point_to_crop
    source:
      - '@entity_id'
      - focal_point
  type: constants/type
  entity_type: constants/entity_type
  uri: '@crop_field_data/uri'
  x: '@crop_field_data/x'
  'y': '@crop_field_data/y'
destination:
  plugin: 'entity:crop'
  default_bundle: focal_point
migration_dependencies:
  required:
    - gronze_file_managed
